Description

Currently the "Jump to a project..." drop-down only lists projects that the current user is explicitly a member of; it would be good if it
also listed public projects.

Rationale: We have a number of clients with logins to our redmine installation, and they have rights to see (and submit issues on ) 1)
their own projects and 2) the public projects. However, we often get email along the lines of "we can't see the public projects" since
they're trying to navigate to the latter using the "Jump to a project..." drop-down. Is there any reason for this not to list public
projects?

Related issues:

Related to Redmine - Feature #7751: Filter projects dropdown menu Closed 2011-03-02
Related to Redmine - Patch #5556: Display more projects in project jump box New 2010-05-19
Has duplicate Redmine - Feature #14078: Display the project jump box for anon... Closed

History

#1 - 2011-10-07 14:48 - Holger Baumhaus

+1

#2 - 2013-05-17 15:59 - Derric Atzrott

Should be an option is implemented. We have literally hundreds of public projects and for everyone here it is nice to only see the ones that they are
actually assigned to.

It would be nice to mark some projects to appear on everyone's jump to list as projects that are more of meta projects (we have one for coordinating
other projects) should appear for everyone.

#3 - 2014-05-13 02:48 - David Fyfe

| agree. An option for this (per user?) might be useful.

#4 - 2014-05-13 07:31 - Anonymous

+1

#5 - 2015-02-25 14:52 - Maicon Zucco

+1

#6 - 2015-03-26 17:22 - Toshi MARUYAMA
- Category set to Ul

#7 - 2015-08-26 12:23 - Jethro Yu
- File add-public-projects-to-quick-jump-box.diff added

Hello everyone,
| wrote a patch to let quick-jump box also listing public projects.
#8 - 2016-11-04 17:46 - Andre Mittelstaedt

Hi everyone...
...the solution did not work properly for me (v2.1.0)
so | changed the line to change in the obove file to:
projects = Project.where(1).compact.select(&:visible?).uniq

#9 - 2017-03-28 13:29 - Go MAEDA
- File 2705-list-public-projects.diff added

+1
| wrote a patch for the current trunk (r16430).

| think it would be better to list public projects for the following reasons.
* No projects are listed in the drop-down when the user is not a member of any projects even if there are some public projects which can be seen
by the user. | think the behavior is confusing.
e Sometimes a user is not aware whether the project is public or the user is a member of the project. So the user may be confused if some

projects are not listed in the drop-down.
* The drop-down is always shown in Redmine 3.4.0. | think that the possibility of confusion of users will increase.

#10 - 2017-03-28 16:47 - Kohei Nakamura

+1
| hope this issue will be accepted.

In my case
| write a page of "How to use Redmine" on the Wiki page of the public project and guide Redmine beginners.
But the problem is that it is difficult to access to the Wiki page of the public project for Redmine beginners.
Most of the beginners and non-beginners only use the drop down list of "Jump to a project ..." when they access to some projects.
#11 - 2017-03-28 17:41 - Marius BALTEANU
Go MAEDA wrote:
+1

| think it would be better to list public projects for the following reasons.

Good idea. Also, | think that would be nice to have them grouped by project type (public|private).

#12 - 2017-04-08 05:41 - Go MAEDA
Marius BALTEANU wrote:

Good idea. Also, | think that would be nice to have them grouped by project type (public|private).

Thanks for the feedback.

Grouping feature is really nice. But in order to this small improvement be delivered faster, | think it would be better to add further improvement after
this patch is merged. Obvious Ul change may be controversial.

#13 - 2017-04-08 05:42 - Go MAEDA

- Target version set to 3.4.0

#14 - 2017-04-08 10:26 - Jean-Philippe Lang
- Target version deleted (3.4.0)

We cannot always list all visible projects. As a user, | personnaly don't want that but to see only my projects in this dropdown. | agree that it can be
fine in some cases but we'll add it later as an option for the user, not as the default behaviour.

#15 - 2017-04-08 11:28 - Go MAEDA

Jean-Philippe Lang wrote:

| agree that it can be fine in some cases but we'll add it later as an option for the user, not as the default behaviour.

Thanks for your feedback. | will try to make a such patch.
https://www.redmine.org/projects/redmine/repository/svn/revisions/16430

#16 - 2017-04-28 04:33 - Go MAEDA
- Related to Patch #5556: Display more projects in project jump box added

Files
add-public-projects-to-quick-jump-box.diff 1000 Bytes 2015-08-26 Jethro Yu
2705-list-public-projects.diff 724 Bytes 2017-03-28 Go MAEDA
